Subject: Re: Exception trapped!
From: [email-masked] (Bijan Tuysserkani)

30 Jun 1997 12:09:52 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: Berenice LOPEZ <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

At 04:47 PM 6/30/97 +0100, you wrote:
>    Hi, it's me again...
>    Now, I got my sotfware to compile, but when I execute it... I get
>this:
>
>bash$ paros rome.ico
>(C:\PAROS\paros.exe 1003) In cygwin_except_handler
>(C:\PAROS\paros.exe 1003) Exception trapped!
>(C:\PAROS\paros.exe 1003) exception C0000005 at 6E6962
>(C:\PAROS\paros.exe 1003) exception: ax 6E6962 bx 255F32C cx A000724 dx
>2FC2810
>(C:\PAROS\paros.exe 1003) exception: si 4F551C di 4F5134 bp 255D47C sp
>255D468
>(C:\PAROS\paros.exe 1003) exception is: STATUS_ACCESS_VIOLATION
>(C:\PAROS\paros.exe 1003) Stack trace:

Hi Berenice,

I think we have the same problem. Can you use GDB, execute your stuff and 
do a "info stack"? That should tell you which function is responsible for
the exception. In my case it is unfortunately malloc. :-(

I use gcc and Windows NT4.0 and the b18 release. The malloc call I have is 
a simple malloc(strlen(name)) where name is an arbitrary string. 
Depending on which names I allocate and certainly what the rest of my code
does before, the exception happens always at the same place. Funny thing :
If I link the library libmmalloc.a to my stuff, the exception happens 
in malloc also, but at a different call from my side. 

If you get any direct answers, please forward them to me.

Greetings,
	Bijan
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".